4Z API

Create Video

Endpoint: POST https://4zapi.com/minimax/v2/video_generation

Parameters

  • Authorization (header, string, required)
  • Content-Type (header, string, required)

Request body (application/json)

  • content (array<object>, required): Generated content. Must and can only have 1 non-empty text. Image role: if not filled, treated as first_frame, also supports last_frame, reference_image. Video role: reference_video. Audio role: reference_audio. First and last frames and reference materials cannot appear simultaneously. base_video can only be used for regeneration. Quantity limits: 1 first frame, 1 last frame, 9 reference images, 3 reference videos, 3 reference audios. Text length limit is 7000 characters.
  • duration (integer, required): Video duration (seconds). MiniMax-H3 is 4–15, MiniMax-H3-Max is 5–15.
  • model (string, required): Model name. MiniMax-H3: 768P or 2K, duration 4–15 seconds. MiniMax-H3-Max: 480P or 768P, duration 5–15 seconds, 2K not supported.
  • resolution (string, required): Resolution. MiniMax-H3: 768P, 2K. MiniMax-H3-Max: 480P, 768P.
  • aigc_watermark (boolean): Whether to add AIGC watermark to the generated video. Optional.
  • callback_url (string): Callback URL for task status. Optional.
  • extra (object): Extended parameters. Only MiniMax-H3-Max can pass.
  • ratio (string): Aspect ratio. Required for pure text generation and cannot be adaptive. Options: 21:9, 16:9, 4:3, 1:1, 3:4, 9:16. When including first and last frames or reference materials, can also fill adaptive or leave empty.

Request example

{
  "content": [
    {
      "text": "海边日落,镜头缓慢推进",
      "type": "text"
    }
  ],
  "duration": 5,
  "model": "MiniMax-H3",
  "ratio": "16:9",
  "resolution": "768P"
}